      PROGRAM XMOONPV
C
C     EXERCISE DRIVER FOR SUBROUTINE MOONPV.FOR
C
C     B. KNAPP, 1999-06-24, 2001-01-03
C
C
C     RCS DATA
C     
C     $Header$
C     
C     $Log$
C
C
      IMPLICIT NONE
C
      REAL*8 PI, R2D
      PARAMETER (PI=3.14159265358979324D0, R2D=180.D0/PI)
      REAL*8 JDE, T, PV(6)
C
    1 CONTINUE
      WRITE(*,'(/A$)') ' JDE (Dynamic Time)? '
      READ(*,*) JDE
      T = (JDE-2451545.D0)/365250.D0
      CALL MOONPV( T, PV )
      WRITE(*,10) PV(1)*R2D,PV(2)*R2D,PV(3),PV(4)*R2D,PV(5)*R2D,PV(6)
 10   FORMAT(/'     L: ',E17.9,/
     &        '     B: ',E17.9,/
     &        '     R: ',E17.9,/
     &        ' dL/dT: ',E17.9,/
     &        ' dB/dT: ',E17.9,/
     &        ' dR/dT: ',E17.9) 
C
      GOTO 1
      END
